<?php defined('C5_EXECUTE') or die("Access Denied.");
$pkg = Package::getByHandle('ez_recipe');
$img = File::getByID($fID);
//Get Package Path
$packagePath = $pkg->getRelativePath();
$packPath = $packagePath.'/blocks/ez_event/';

?>
<style>
	#ezrecipe-<?php echo $bID ?> .recipe-cover-content { background: <?php echo $evTitleBgColor ?>; color: <?php echo $evTitleColor ?>; margin-bottom: <?php echo $evHeight ?>px; }
	#ezrecipe-<?php echo $bID ?> .eze-cover h4 { background: <?php echo $evDateBgColor ?>; color: <?php echo $evDateColor ?>; }
</style>
<div class="ezrecipe-wrap" id="ezrecipe-<?php echo $bID ?>">
	<div class="recipe-cover" style="background-image: url(<?php if (isset($img)){ echo $img->getURL(); } else { echo $packPath ?>images/party-demo.jpg<?php } ?>); background-position: <?php echo $bgPosition ?>;">
		<div class="recipe-cover-content">
			<h3 class="<?php echo $ezeAlign?>" style="color: <?php echo $evTitleColor ?>;"><?php echo $recipeTitle ?></h3>
			<p style="color: <?php echo $evTitleColor ?>;" class="<?php echo $ezeAlign?>"><?php echo $recipeDesc ?></p>
			<p class="recipe-specs <?php echo $ezeAlign ?>" style="color: <?php echo $evTitleColor ?>;"><strong><?php echo t('Servings')?>: </strong><?php echo $serves ?><br />
			<strong><?php echo t('Prep Time')?>: </strong><?php echo $prepTime ?></p>
		</div>
	</div>

	<div class="ezrecipe-ingredients">
		<h5><?php echo t('Ingredients')?></h5>
		<?php echo $ingredients ?>
	</div>
	<div class="ezrecipe-steps">
		<?php echo $steps ?>
	</div>
	
	<?php if($showNutrition == "1") { ?>
	<div class="ezrecipe-nutrition">
		<h5><?php echo t('Nutrition Information')?></h5>
		<p><?php echo t('Percent daily value and weight per serving.')?></p>
		<ul>
			<li class="cals"><span class="cal"><?php echo $calories ?></span><br /><strong><?php echo t('Calories')?></strong></li>
			<li class="carbs"><strong><?php echo t('Carbs')?></strong><br /><span class="nut-label"><?php echo $carbs ?></span>%<br /><?php echo $carbWeight ?></li>
			<li class="fat"><strong><?php echo t('Fat')?></strong><br /><span class="nut-label"><?php echo $fat ?></span>%<br /><?php echo $fatWeight ?></li>
			<li class="fiber"><strong><?php echo t('Fiber')?></strong><br /><span class="nut-label"><?php echo $fiber ?></span>%<br /><?php echo $fiberWeight ?></li>
			<li class="sodium"><strong><?php echo t('Sodium')?></strong><br /><span class="nut-label"><?php echo $sodium ?></span>%<br /><?php echo $sodiumWeight ?></li>
			<li class="protein"><strong><?php echo t('Protein')?></strong><br /><span class="nut-label"><?php echo $protein ?></span>%<br /><?php echo $proteinWeight ?></li>
		</ul>
	</div>
	<?php } elseif ($showNutrition == "2") { ?>
	<div class="ezrecipe-nutrition">
		<h5><?php echo t('Nutrition Information')?></h5>
		<p><?php echo t('Percent daily value.')?></p>
		<ul>
			<li class="cals"><span class="cal"><?php echo $calories ?></span><br /><strong><?php echo t('Calories')?></strong></li>
			<li class="carbs"><span class="nut-label"><?php echo $carbs ?></span>%<br /><strong><?php echo t('Carbs')?></strong></li>
			<li class="fat"><span class="nut-label"><?php echo $fat ?></span>%<br /><strong><?php echo t('Fat')?></strong></li>
			<li class="fiber"><span class="nut-label"><?php echo $fiber ?></span>%<br /><strong><?php echo t('Fiber')?></strong></li>
			<li class="sodium"><span class="nut-label"><?php echo $sodium ?></span>%<br /><strong><?php echo t('Sodium')?></strong></li>
			<li class="protein"><span class="nut-label"><?php echo $protein ?></span>%<br /><strong><?php echo t('Protein')?></strong></li>
		</ul>
	</div>
	<?php } elseif ($showNutrition == "3") { ?>
	<div class="ezrecipe-nutrition">
		<h5><?php echo t('Nutrition Information')?></h5>
		<p><?php echo t('Weight per serving.')?></p>
		<ul>
			<li class="cals"><span class="cal"><?php echo $calories ?></span><br /><strong><?php echo t('Calories')?></strong></li>
			<li class="carbs"><?php echo $carbWeight ?><br /><strong><?php echo t('Carbs')?></strong></li>
			<li class="fat"><?php echo $fatWeight ?><br /><strong><?php echo t('Fat')?></strong></li>
			<li class="fiber"><?php echo $fiberWeight ?><br /><strong><?php echo t('Fiber')?></strong></li>
			<li class="sodium"><?php echo $sodiumWeight ?><br /><strong><?php echo t('Sodium')?></strong></li>
			<li class="protein"><?php echo $proteinWeight ?><br /><strong><?php echo t('Protein')?></strong></li>
		</ul>
	</div>
	<?php } elseif ($showNutrition == "4") { ?>
	<div class="ezrecipe-nutrition"><ul><li><span class="cal"><?php echo $calories ?></span><br /><strong><?php echo t('Calories')?></strong></li></ul></div>
	<?php } elseif ($showNutrition == "5") { } ?>

</div>