<?php namespace Concrete\Package\EzRecipe;
use Package;
use BlockType;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

	protected $pkgHandle = 'ez_recipe';
	protected $appVersionRequired = '5.7.3';
	protected $pkgVersion = '1.0';
	
	public function getPackageDescription()
	{
		return t("Easily add a recipe block to any page.");
	}

	public function getPackageName()
	{
		return t("EZ Recipe");
	}
	
	public function install()
	{
		$pkg = parent::install();
        BlockType::installBlockType('ez_recipe', $pkg); 
	}
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btEzRecipe');
	}
}
?>
